Data Fields

# DumpState Struct Reference

Collaboration diagram for DumpState:
[legend]

## Data Fields
lua_State * | L
lua_Writer | writer
void * | data
int | strip
int | status

## Detailed Description

Definition at line 18 of file ldump.c.

## Field Documentation

void* DumpState::data

Definition at line 21 of file ldump.c.

Referenced by DumpBlock(), and luaU_dump().

lua_State* DumpState::L

Definition at line 19 of file ldump.c.

Referenced by DumpBlock(), and luaU_dump().

int DumpState::status

Definition at line 23 of file ldump.c.

Referenced by DumpBlock(), and luaU_dump().

int DumpState::strip

Definition at line 22 of file ldump.c.

Referenced by DumpDebug(), DumpFunction(), and luaU_dump().

lua_Writer DumpState::writer

Definition at line 20 of file ldump.c.

Referenced by DumpBlock(), and luaU_dump().

The documentation for this struct was generated from the following file:

- lua/ldump.c